package mq

const (
	DatasetRequest = iota + 10
)

type InstructionReq struct {
	Command int         `json:"command"`
	Payload interface{} `json:"payload"`
}

type FileTransferInfo struct {
	FileName   string `json:"fileName"`
	FilePath   string `json:"filePath"`
	DataType   int    `json:"dataType"`
	DatasetId  int    `json:"datasetId"`
	FileSize   int    `json:"fileSize"`
	File       string `json:"file"`
	IsCompress bool   `json:"isCompress"`
	FileMd5    string `json:"fileMd5"`
}
